### org.jfree.layouting.layouter.style.functions.values

# Class HslValueFunction

- `java.lang.Object`
- - `org.jfree.layouting.layouter.style.functions.values.HslValueFunction`

Implemented Interfaces:
  StyleValueFunction

`public class HslValueFunction`
`extends java.lang.Object`
`implements StyleValueFunction`

Creation-Date: 16.04.2006, 14:14:42

Author:
  Thomas Morgner

  ## Constructor Summary

  `HslValueFunction()`

  ## Method Summary

  `CSSValue`

  `evaluate(LayoutProcess layoutProcess, LayoutElement element, CSSFunctionValue function)`

  `protected int`

  `validateHueParameter(CSSValue value)`

  `protected float`

  `validateOtherParameter(CSSValue value)`

## Constructor Details

### HslValueFunction

    public HslValueFunction()

## Method Details

### evaluate

    public CSSValue evaluate(LayoutProcess layoutProcess,
                             LayoutElement element,
                             CSSFunctionValue function)
                throws FunctionEvaluationException

> Specified by:
>   evaluate in interface StyleValueFunction

### validateHueParameter

    protected int validateHueParameter(CSSValue value)
                throws FunctionEvaluationException

### validateOtherParameter

    protected float validateOtherParameter(CSSValue value)
                throws FunctionEvaluationException